import { BaseWidgetComponent } from "@smallstack/widget-core";
import { Observable } from "rxjs";
import * as i0 from "@angular/core";
export declare abstract class FilterBaseWidgetComponent<VALUE_TYPE = any> extends BaseWidgetComponent {
    private formService;
    private uuid;
    /** original path of the form field (without overrides) */
    protected originalPath$: Observable<string>;
    /** value of the form field */
    protected value$: Observable<any>;
    /** original schema without overrides */
    protected originalSchema$: Observable<import("dist/libs/shared/typesystem/src").SmallstackTypeSchema>;
    /** schema of the form field */
    protected schema$: Observable<any>;
    /** path of the form field */
    protected path$: Observable<string>;
    protected setFilter(value: VALUE_TYPE): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterBaseWidgetComponent<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FilterBaseWidgetComponent<any>, never, never, {}, {}, never, never, false, never>;
}
